> ## Documentation Index
> Fetch the complete documentation index at: https://docs.openapi.pluuug.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 실무자 생성

> 새 실무자를 생성합니다. `position.id`로 직급 연결(선택).

**플랜 제약:** FREE/AGENCY 전용.



## OpenAPI

````yaml POST /v1/worker
openapi: 3.1.0
info:
  title: pluuug openapi
  version: 1.0.0
  description: >-
    플러그에서 제공하는 REST API의 상세 내용을 확인하고 직접 테스트할 수 있는 인터페이스입니다.<br>이 문서를 통해 API의
    엔드포인트, 요청 및 응답 형식 등을 확인할 수 있습니다.
servers:
  - url: https://openapi.pluuug.com
security: []
paths:
  /v1/worker:
    post:
      tags:
        - worker
      summary: 실무자 생성
      description: |-
        새 실무자를 생성합니다. `position.id`로 직급 연결(선택).

        **플랜 제약:** FREE/AGENCY 전용.
      operationId: worker_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OpenapiWorkerListCreateRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/OpenapiWorkerListCreateRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/OpenapiWorkerListCreateRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiWorkerListCreate'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OpenapiWorkerListCreateValidationError'
          description: ''
      security:
        - ApiKeyAuth: []
          Signature: []
components:
  schemas:
    OpenapiWorkerListCreateRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          description: 실무자 이름
          maxLength: 32
        position:
          description: 직무
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedWorkerPositionRequest'
        order:
          type: integer
          description: 순서
        isHidden:
          type: boolean
          description: 숨김 여부
        manMonthAmount:
          type: integer
          description: M/M 금액
      required:
        - name
    OpenapiWorkerListCreate:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        name:
          type: string
          description: 실무자 이름
          maxLength: 32
        position:
          description: 직무
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/OpenapiNestedWorkerPosition'
        order:
          type: integer
          description: 순서
        isHidden:
          type: boolean
          description: 숨김 여부
        manMonthAmount:
          type: integer
          description: M/M 금액
        created:
          type: string
          format: date-time
          readOnly: true
          description: 생성일시
      required:
        - created
        - id
        - name
    OpenapiWorkerListCreateValidationError:
      type: object
      properties:
        nonField:
          type: array
          items:
            type: string
        name:
          type: array
          items:
            type: string
        position:
          $ref: '#/components/schemas/OpenapiNestedWorkerPositionValidationError'
        order:
          type: array
          items:
            type: string
        isHidden:
          type: array
          items:
            type: string
        manMonthAmount:
          type: array
          items:
            type: string
    OpenapiNestedWorkerPositionRequest:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
      required:
        - id
    OpenapiNestedWorkerPosition:
      type: object
      description: |-
        nested 아이템이 제공되면 선언된 required 필드를 모두 가져야 함을 강제한다.

        부모 레벨 partial(미전송 필드 생략)은 유지하되, nested 아이템은 object-level
        validate에서 required 필드 존재를 재확인해 누락 시 400을 반환한다.
      properties:
        id:
          type: integer
        title:
          type: string
          readOnly: true
          description: 직무 제목
        symbolColor:
          type: string
          readOnly: true
          description: 상징색
      required:
        - id
        - symbolColor
        - title
    OpenapiNestedWorkerPositionValidationError:
      type: object
      properties:
        id:
          type: array
          items:
            type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
    Signature:
      type: apiKey
      in: header
      name: X-Signature
      description: |-
        HMAC-SHA256 방식으로 body를 secret key로 해싱하여 생성한 서명을 넣어야 합니다.
        서버는 X-API-Key와 대응되는 secret key로 서명을 검증합니다.

````